Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network147.44.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
147.44.0.0
Broadcast address
147.47.255.255
First usable
147.44.0.1
Last usable
147.47.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 932C0000 · Integer 2469134336 to 2469396479
Reverse DNS zones
44.147.in-addr.arpa
45.147.in-addr.arpa
46.147.in-addr.arpa
47.147.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010011.00101100.00000000.00000000147.44.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10010011.00101100.00000000.00000000147.44.0.0
Broadcast10010011.00101111.11111111.11111111147.47.255.255
Split into smaller subnets/22

147.44.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1147.44.0.0/22147.44.0.1 to 147.44.3.254147.44.3.2551,022
2147.44.4.0/22147.44.4.1 to 147.44.7.254147.44.7.2551,022
3147.44.8.0/22147.44.8.1 to 147.44.11.254147.44.11.2551,022
4147.44.12.0/22147.44.12.1 to 147.44.15.254147.44.15.2551,022
5147.44.16.0/22147.44.16.1 to 147.44.19.254147.44.19.2551,022
6147.44.20.0/22147.44.20.1 to 147.44.23.254147.44.23.2551,022
7147.44.24.0/22147.44.24.1 to 147.44.27.254147.44.27.2551,022
8147.44.28.0/22147.44.28.1 to 147.44.31.254147.44.31.2551,022
9147.44.32.0/22147.44.32.1 to 147.44.35.254147.44.35.2551,022
10147.44.36.0/22147.44.36.1 to 147.44.39.254147.44.39.2551,022
11147.44.40.0/22147.44.40.1 to 147.44.43.254147.44.43.2551,022
12147.44.44.0/22147.44.44.1 to 147.44.47.254147.44.47.2551,022
13147.44.48.0/22147.44.48.1 to 147.44.51.254147.44.51.2551,022
14147.44.52.0/22147.44.52.1 to 147.44.55.254147.44.55.2551,022
15147.44.56.0/22147.44.56.1 to 147.44.59.254147.44.59.2551,022
16147.44.60.0/22147.44.60.1 to 147.44.63.254147.44.63.2551,022
17147.44.64.0/22147.44.64.1 to 147.44.67.254147.44.67.2551,022
18147.44.68.0/22147.44.68.1 to 147.44.71.254147.44.71.2551,022
19147.44.72.0/22147.44.72.1 to 147.44.75.254147.44.75.2551,022
20147.44.76.0/22147.44.76.1 to 147.44.79.254147.44.79.2551,022
21147.44.80.0/22147.44.80.1 to 147.44.83.254147.44.83.2551,022
22147.44.84.0/22147.44.84.1 to 147.44.87.254147.44.87.2551,022
23147.44.88.0/22147.44.88.1 to 147.44.91.254147.44.91.2551,022
24147.44.92.0/22147.44.92.1 to 147.44.95.254147.44.95.2551,022
25147.44.96.0/22147.44.96.1 to 147.44.99.254147.44.99.2551,022
26147.44.100.0/22147.44.100.1 to 147.44.103.254147.44.103.2551,022
27147.44.104.0/22147.44.104.1 to 147.44.107.254147.44.107.2551,022
28147.44.108.0/22147.44.108.1 to 147.44.111.254147.44.111.2551,022
29147.44.112.0/22147.44.112.1 to 147.44.115.254147.44.115.2551,022
30147.44.116.0/22147.44.116.1 to 147.44.119.254147.44.119.2551,022
31147.44.120.0/22147.44.120.1 to 147.44.123.254147.44.123.2551,022
32147.44.124.0/22147.44.124.1 to 147.44.127.254147.44.127.2551,022
33147.44.128.0/22147.44.128.1 to 147.44.131.254147.44.131.2551,022
34147.44.132.0/22147.44.132.1 to 147.44.135.254147.44.135.2551,022
35147.44.136.0/22147.44.136.1 to 147.44.139.254147.44.139.2551,022
36147.44.140.0/22147.44.140.1 to 147.44.143.254147.44.143.2551,022
37147.44.144.0/22147.44.144.1 to 147.44.147.254147.44.147.2551,022
38147.44.148.0/22147.44.148.1 to 147.44.151.254147.44.151.2551,022
39147.44.152.0/22147.44.152.1 to 147.44.155.254147.44.155.2551,022
40147.44.156.0/22147.44.156.1 to 147.44.159.254147.44.159.2551,022
41147.44.160.0/22147.44.160.1 to 147.44.163.254147.44.163.2551,022
42147.44.164.0/22147.44.164.1 to 147.44.167.254147.44.167.2551,022
43147.44.168.0/22147.44.168.1 to 147.44.171.254147.44.171.2551,022
44147.44.172.0/22147.44.172.1 to 147.44.175.254147.44.175.2551,022
45147.44.176.0/22147.44.176.1 to 147.44.179.254147.44.179.2551,022
46147.44.180.0/22147.44.180.1 to 147.44.183.254147.44.183.2551,022
47147.44.184.0/22147.44.184.1 to 147.44.187.254147.44.187.2551,022
48147.44.188.0/22147.44.188.1 to 147.44.191.254147.44.191.2551,022
49147.44.192.0/22147.44.192.1 to 147.44.195.254147.44.195.2551,022
50147.44.196.0/22147.44.196.1 to 147.44.199.254147.44.199.2551,022
51147.44.200.0/22147.44.200.1 to 147.44.203.254147.44.203.2551,022
52147.44.204.0/22147.44.204.1 to 147.44.207.254147.44.207.2551,022
53147.44.208.0/22147.44.208.1 to 147.44.211.254147.44.211.2551,022
54147.44.212.0/22147.44.212.1 to 147.44.215.254147.44.215.2551,022
55147.44.216.0/22147.44.216.1 to 147.44.219.254147.44.219.2551,022
56147.44.220.0/22147.44.220.1 to 147.44.223.254147.44.223.2551,022
57147.44.224.0/22147.44.224.1 to 147.44.227.254147.44.227.2551,022
58147.44.228.0/22147.44.228.1 to 147.44.231.254147.44.231.2551,022
59147.44.232.0/22147.44.232.1 to 147.44.235.254147.44.235.2551,022
60147.44.236.0/22147.44.236.1 to 147.44.239.254147.44.239.2551,022
61147.44.240.0/22147.44.240.1 to 147.44.243.254147.44.243.2551,022
62147.44.244.0/22147.44.244.1 to 147.44.247.254147.44.247.2551,022
63147.44.248.0/22147.44.248.1 to 147.44.251.254147.44.251.2551,022
64147.44.252.0/22147.44.252.1 to 147.44.255.254147.44.255.2551,022
65147.45.0.0/22147.45.0.1 to 147.45.3.254147.45.3.2551,022
66147.45.4.0/22147.45.4.1 to 147.45.7.254147.45.7.2551,022
67147.45.8.0/22147.45.8.1 to 147.45.11.254147.45.11.2551,022
68147.45.12.0/22147.45.12.1 to 147.45.15.254147.45.15.2551,022
69147.45.16.0/22147.45.16.1 to 147.45.19.254147.45.19.2551,022
70147.45.20.0/22147.45.20.1 to 147.45.23.254147.45.23.2551,022
71147.45.24.0/22147.45.24.1 to 147.45.27.254147.45.27.2551,022
72147.45.28.0/22147.45.28.1 to 147.45.31.254147.45.31.2551,022
73147.45.32.0/22147.45.32.1 to 147.45.35.254147.45.35.2551,022
74147.45.36.0/22147.45.36.1 to 147.45.39.254147.45.39.2551,022
75147.45.40.0/22147.45.40.1 to 147.45.43.254147.45.43.2551,022
76147.45.44.0/22147.45.44.1 to 147.45.47.254147.45.47.2551,022
77147.45.48.0/22147.45.48.1 to 147.45.51.254147.45.51.2551,022
78147.45.52.0/22147.45.52.1 to 147.45.55.254147.45.55.2551,022
79147.45.56.0/22147.45.56.1 to 147.45.59.254147.45.59.2551,022
80147.45.60.0/22147.45.60.1 to 147.45.63.254147.45.63.2551,022
81147.45.64.0/22147.45.64.1 to 147.45.67.254147.45.67.2551,022
82147.45.68.0/22147.45.68.1 to 147.45.71.254147.45.71.2551,022
83147.45.72.0/22147.45.72.1 to 147.45.75.254147.45.75.2551,022
84147.45.76.0/22147.45.76.1 to 147.45.79.254147.45.79.2551,022
85147.45.80.0/22147.45.80.1 to 147.45.83.254147.45.83.2551,022
86147.45.84.0/22147.45.84.1 to 147.45.87.254147.45.87.2551,022
87147.45.88.0/22147.45.88.1 to 147.45.91.254147.45.91.2551,022
88147.45.92.0/22147.45.92.1 to 147.45.95.254147.45.95.2551,022
89147.45.96.0/22147.45.96.1 to 147.45.99.254147.45.99.2551,022
90147.45.100.0/22147.45.100.1 to 147.45.103.254147.45.103.2551,022
91147.45.104.0/22147.45.104.1 to 147.45.107.254147.45.107.2551,022
92147.45.108.0/22147.45.108.1 to 147.45.111.254147.45.111.2551,022
93147.45.112.0/22147.45.112.1 to 147.45.115.254147.45.115.2551,022
94147.45.116.0/22147.45.116.1 to 147.45.119.254147.45.119.2551,022
95147.45.120.0/22147.45.120.1 to 147.45.123.254147.45.123.2551,022
96147.45.124.0/22147.45.124.1 to 147.45.127.254147.45.127.2551,022
97147.45.128.0/22147.45.128.1 to 147.45.131.254147.45.131.2551,022
98147.45.132.0/22147.45.132.1 to 147.45.135.254147.45.135.2551,022
99147.45.136.0/22147.45.136.1 to 147.45.139.254147.45.139.2551,022
100147.45.140.0/22147.45.140.1 to 147.45.143.254147.45.143.2551,022
101147.45.144.0/22147.45.144.1 to 147.45.147.254147.45.147.2551,022
102147.45.148.0/22147.45.148.1 to 147.45.151.254147.45.151.2551,022
103147.45.152.0/22147.45.152.1 to 147.45.155.254147.45.155.2551,022
104147.45.156.0/22147.45.156.1 to 147.45.159.254147.45.159.2551,022
105147.45.160.0/22147.45.160.1 to 147.45.163.254147.45.163.2551,022
106147.45.164.0/22147.45.164.1 to 147.45.167.254147.45.167.2551,022
107147.45.168.0/22147.45.168.1 to 147.45.171.254147.45.171.2551,022
108147.45.172.0/22147.45.172.1 to 147.45.175.254147.45.175.2551,022
109147.45.176.0/22147.45.176.1 to 147.45.179.254147.45.179.2551,022
110147.45.180.0/22147.45.180.1 to 147.45.183.254147.45.183.2551,022
111147.45.184.0/22147.45.184.1 to 147.45.187.254147.45.187.2551,022
112147.45.188.0/22147.45.188.1 to 147.45.191.254147.45.191.2551,022
113147.45.192.0/22147.45.192.1 to 147.45.195.254147.45.195.2551,022
114147.45.196.0/22147.45.196.1 to 147.45.199.254147.45.199.2551,022
115147.45.200.0/22147.45.200.1 to 147.45.203.254147.45.203.2551,022
116147.45.204.0/22147.45.204.1 to 147.45.207.254147.45.207.2551,022
117147.45.208.0/22147.45.208.1 to 147.45.211.254147.45.211.2551,022
118147.45.212.0/22147.45.212.1 to 147.45.215.254147.45.215.2551,022
119147.45.216.0/22147.45.216.1 to 147.45.219.254147.45.219.2551,022
120147.45.220.0/22147.45.220.1 to 147.45.223.254147.45.223.2551,022
121147.45.224.0/22147.45.224.1 to 147.45.227.254147.45.227.2551,022
122147.45.228.0/22147.45.228.1 to 147.45.231.254147.45.231.2551,022
123147.45.232.0/22147.45.232.1 to 147.45.235.254147.45.235.2551,022
124147.45.236.0/22147.45.236.1 to 147.45.239.254147.45.239.2551,022
125147.45.240.0/22147.45.240.1 to 147.45.243.254147.45.243.2551,022
126147.45.244.0/22147.45.244.1 to 147.45.247.254147.45.247.2551,022
127147.45.248.0/22147.45.248.1 to 147.45.251.254147.45.251.2551,022
128147.45.252.0/22147.45.252.1 to 147.45.255.254147.45.255.2551,022
129147.46.0.0/22147.46.0.1 to 147.46.3.254147.46.3.2551,022
130147.46.4.0/22147.46.4.1 to 147.46.7.254147.46.7.2551,022
131147.46.8.0/22147.46.8.1 to 147.46.11.254147.46.11.2551,022
132147.46.12.0/22147.46.12.1 to 147.46.15.254147.46.15.2551,022
133147.46.16.0/22147.46.16.1 to 147.46.19.254147.46.19.2551,022
134147.46.20.0/22147.46.20.1 to 147.46.23.254147.46.23.2551,022
135147.46.24.0/22147.46.24.1 to 147.46.27.254147.46.27.2551,022
136147.46.28.0/22147.46.28.1 to 147.46.31.254147.46.31.2551,022
137147.46.32.0/22147.46.32.1 to 147.46.35.254147.46.35.2551,022
138147.46.36.0/22147.46.36.1 to 147.46.39.254147.46.39.2551,022
139147.46.40.0/22147.46.40.1 to 147.46.43.254147.46.43.2551,022
140147.46.44.0/22147.46.44.1 to 147.46.47.254147.46.47.2551,022
141147.46.48.0/22147.46.48.1 to 147.46.51.254147.46.51.2551,022
142147.46.52.0/22147.46.52.1 to 147.46.55.254147.46.55.2551,022
143147.46.56.0/22147.46.56.1 to 147.46.59.254147.46.59.2551,022
144147.46.60.0/22147.46.60.1 to 147.46.63.254147.46.63.2551,022
145147.46.64.0/22147.46.64.1 to 147.46.67.254147.46.67.2551,022
146147.46.68.0/22147.46.68.1 to 147.46.71.254147.46.71.2551,022
147147.46.72.0/22147.46.72.1 to 147.46.75.254147.46.75.2551,022
148147.46.76.0/22147.46.76.1 to 147.46.79.254147.46.79.2551,022
149147.46.80.0/22147.46.80.1 to 147.46.83.254147.46.83.2551,022
150147.46.84.0/22147.46.84.1 to 147.46.87.254147.46.87.2551,022
151147.46.88.0/22147.46.88.1 to 147.46.91.254147.46.91.2551,022
152147.46.92.0/22147.46.92.1 to 147.46.95.254147.46.95.2551,022
153147.46.96.0/22147.46.96.1 to 147.46.99.254147.46.99.2551,022
154147.46.100.0/22147.46.100.1 to 147.46.103.254147.46.103.2551,022
155147.46.104.0/22147.46.104.1 to 147.46.107.254147.46.107.2551,022
156147.46.108.0/22147.46.108.1 to 147.46.111.254147.46.111.2551,022
157147.46.112.0/22147.46.112.1 to 147.46.115.254147.46.115.2551,022
158147.46.116.0/22147.46.116.1 to 147.46.119.254147.46.119.2551,022
159147.46.120.0/22147.46.120.1 to 147.46.123.254147.46.123.2551,022
160147.46.124.0/22147.46.124.1 to 147.46.127.254147.46.127.2551,022
161147.46.128.0/22147.46.128.1 to 147.46.131.254147.46.131.2551,022
162147.46.132.0/22147.46.132.1 to 147.46.135.254147.46.135.2551,022
163147.46.136.0/22147.46.136.1 to 147.46.139.254147.46.139.2551,022
164147.46.140.0/22147.46.140.1 to 147.46.143.254147.46.143.2551,022
165147.46.144.0/22147.46.144.1 to 147.46.147.254147.46.147.2551,022
166147.46.148.0/22147.46.148.1 to 147.46.151.254147.46.151.2551,022
167147.46.152.0/22147.46.152.1 to 147.46.155.254147.46.155.2551,022
168147.46.156.0/22147.46.156.1 to 147.46.159.254147.46.159.2551,022
169147.46.160.0/22147.46.160.1 to 147.46.163.254147.46.163.2551,022
170147.46.164.0/22147.46.164.1 to 147.46.167.254147.46.167.2551,022
171147.46.168.0/22147.46.168.1 to 147.46.171.254147.46.171.2551,022
172147.46.172.0/22147.46.172.1 to 147.46.175.254147.46.175.2551,022
173147.46.176.0/22147.46.176.1 to 147.46.179.254147.46.179.2551,022
174147.46.180.0/22147.46.180.1 to 147.46.183.254147.46.183.2551,022
175147.46.184.0/22147.46.184.1 to 147.46.187.254147.46.187.2551,022
176147.46.188.0/22147.46.188.1 to 147.46.191.254147.46.191.2551,022
177147.46.192.0/22147.46.192.1 to 147.46.195.254147.46.195.2551,022
178147.46.196.0/22147.46.196.1 to 147.46.199.254147.46.199.2551,022
179147.46.200.0/22147.46.200.1 to 147.46.203.254147.46.203.2551,022
180147.46.204.0/22147.46.204.1 to 147.46.207.254147.46.207.2551,022
181147.46.208.0/22147.46.208.1 to 147.46.211.254147.46.211.2551,022
182147.46.212.0/22147.46.212.1 to 147.46.215.254147.46.215.2551,022
183147.46.216.0/22147.46.216.1 to 147.46.219.254147.46.219.2551,022
184147.46.220.0/22147.46.220.1 to 147.46.223.254147.46.223.2551,022
185147.46.224.0/22147.46.224.1 to 147.46.227.254147.46.227.2551,022
186147.46.228.0/22147.46.228.1 to 147.46.231.254147.46.231.2551,022
187147.46.232.0/22147.46.232.1 to 147.46.235.254147.46.235.2551,022
188147.46.236.0/22147.46.236.1 to 147.46.239.254147.46.239.2551,022
189147.46.240.0/22147.46.240.1 to 147.46.243.254147.46.243.2551,022
190147.46.244.0/22147.46.244.1 to 147.46.247.254147.46.247.2551,022
191147.46.248.0/22147.46.248.1 to 147.46.251.254147.46.251.2551,022
192147.46.252.0/22147.46.252.1 to 147.46.255.254147.46.255.2551,022
193147.47.0.0/22147.47.0.1 to 147.47.3.254147.47.3.2551,022
194147.47.4.0/22147.47.4.1 to 147.47.7.254147.47.7.2551,022
195147.47.8.0/22147.47.8.1 to 147.47.11.254147.47.11.2551,022
196147.47.12.0/22147.47.12.1 to 147.47.15.254147.47.15.2551,022
197147.47.16.0/22147.47.16.1 to 147.47.19.254147.47.19.2551,022
198147.47.20.0/22147.47.20.1 to 147.47.23.254147.47.23.2551,022
199147.47.24.0/22147.47.24.1 to 147.47.27.254147.47.27.2551,022
200147.47.28.0/22147.47.28.1 to 147.47.31.254147.47.31.2551,022
201147.47.32.0/22147.47.32.1 to 147.47.35.254147.47.35.2551,022
202147.47.36.0/22147.47.36.1 to 147.47.39.254147.47.39.2551,022
203147.47.40.0/22147.47.40.1 to 147.47.43.254147.47.43.2551,022
204147.47.44.0/22147.47.44.1 to 147.47.47.254147.47.47.2551,022
205147.47.48.0/22147.47.48.1 to 147.47.51.254147.47.51.2551,022
206147.47.52.0/22147.47.52.1 to 147.47.55.254147.47.55.2551,022
207147.47.56.0/22147.47.56.1 to 147.47.59.254147.47.59.2551,022
208147.47.60.0/22147.47.60.1 to 147.47.63.254147.47.63.2551,022
209147.47.64.0/22147.47.64.1 to 147.47.67.254147.47.67.2551,022
210147.47.68.0/22147.47.68.1 to 147.47.71.254147.47.71.2551,022
211147.47.72.0/22147.47.72.1 to 147.47.75.254147.47.75.2551,022
212147.47.76.0/22147.47.76.1 to 147.47.79.254147.47.79.2551,022
213147.47.80.0/22147.47.80.1 to 147.47.83.254147.47.83.2551,022
214147.47.84.0/22147.47.84.1 to 147.47.87.254147.47.87.2551,022
215147.47.88.0/22147.47.88.1 to 147.47.91.254147.47.91.2551,022
216147.47.92.0/22147.47.92.1 to 147.47.95.254147.47.95.2551,022
217147.47.96.0/22147.47.96.1 to 147.47.99.254147.47.99.2551,022
218147.47.100.0/22147.47.100.1 to 147.47.103.254147.47.103.2551,022
219147.47.104.0/22147.47.104.1 to 147.47.107.254147.47.107.2551,022
220147.47.108.0/22147.47.108.1 to 147.47.111.254147.47.111.2551,022
221147.47.112.0/22147.47.112.1 to 147.47.115.254147.47.115.2551,022
222147.47.116.0/22147.47.116.1 to 147.47.119.254147.47.119.2551,022
223147.47.120.0/22147.47.120.1 to 147.47.123.254147.47.123.2551,022
224147.47.124.0/22147.47.124.1 to 147.47.127.254147.47.127.2551,022
225147.47.128.0/22147.47.128.1 to 147.47.131.254147.47.131.2551,022
226147.47.132.0/22147.47.132.1 to 147.47.135.254147.47.135.2551,022
227147.47.136.0/22147.47.136.1 to 147.47.139.254147.47.139.2551,022
228147.47.140.0/22147.47.140.1 to 147.47.143.254147.47.143.2551,022
229147.47.144.0/22147.47.144.1 to 147.47.147.254147.47.147.2551,022
230147.47.148.0/22147.47.148.1 to 147.47.151.254147.47.151.2551,022
231147.47.152.0/22147.47.152.1 to 147.47.155.254147.47.155.2551,022
232147.47.156.0/22147.47.156.1 to 147.47.159.254147.47.159.2551,022
233147.47.160.0/22147.47.160.1 to 147.47.163.254147.47.163.2551,022
234147.47.164.0/22147.47.164.1 to 147.47.167.254147.47.167.2551,022
235147.47.168.0/22147.47.168.1 to 147.47.171.254147.47.171.2551,022
236147.47.172.0/22147.47.172.1 to 147.47.175.254147.47.175.2551,022
237147.47.176.0/22147.47.176.1 to 147.47.179.254147.47.179.2551,022
238147.47.180.0/22147.47.180.1 to 147.47.183.254147.47.183.2551,022
239147.47.184.0/22147.47.184.1 to 147.47.187.254147.47.187.2551,022
240147.47.188.0/22147.47.188.1 to 147.47.191.254147.47.191.2551,022
241147.47.192.0/22147.47.192.1 to 147.47.195.254147.47.195.2551,022
242147.47.196.0/22147.47.196.1 to 147.47.199.254147.47.199.2551,022
243147.47.200.0/22147.47.200.1 to 147.47.203.254147.47.203.2551,022
244147.47.204.0/22147.47.204.1 to 147.47.207.254147.47.207.2551,022
245147.47.208.0/22147.47.208.1 to 147.47.211.254147.47.211.2551,022
246147.47.212.0/22147.47.212.1 to 147.47.215.254147.47.215.2551,022
247147.47.216.0/22147.47.216.1 to 147.47.219.254147.47.219.2551,022
248147.47.220.0/22147.47.220.1 to 147.47.223.254147.47.223.2551,022
249147.47.224.0/22147.47.224.1 to 147.47.227.254147.47.227.2551,022
250147.47.228.0/22147.47.228.1 to 147.47.231.254147.47.231.2551,022
251147.47.232.0/22147.47.232.1 to 147.47.235.254147.47.235.2551,022
252147.47.236.0/22147.47.236.1 to 147.47.239.254147.47.239.2551,022
253147.47.240.0/22147.47.240.1 to 147.47.243.254147.47.243.2551,022
254147.47.244.0/22147.47.244.1 to 147.47.247.254147.47.247.2551,022
255147.47.248.0/22147.47.248.1 to 147.47.251.254147.47.251.2551,022
256147.47.252.0/22147.47.252.1 to 147.47.255.254147.47.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses